Skip to content
Start here

List sinkholes owned by this account

GET/accounts/{account_id}/intel/sinkholes

List sinkholes owned by this account

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
errors: array of { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
messages: array of { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional array of Sinkhole { id, account_tag, created_on, 4 more }
id: optional number

The unique identifier for the sinkhole

account_tag: optional string

The account tag that owns this sinkhole

created_on: optional string

The date and time when the sinkhole was created

formatdate-time
modified_on: optional string

The date and time when the sinkhole was last modified

formatdate-time
name: optional string

The name of the sinkhole

r2_bucket: optional string

The name of the R2 bucket to store results

r2_id: optional string

The id of the R2 instance

List sinkholes owned by this account

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/intel/sinkholes \
    -H "X-Auth-Email: $CLOUDFLARE_EMAIL" \
    -H "X-Auth-Key: $CLOUDFLARE_API_KEY"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 1,
      "account_tag": "233f45e61fd1f7e21e1e154ede4q2859",
      "created_on": "2023-05-12T12:21:56.777653Z",
      "modified_on": "2023-06-18T03:13:34.123321Z",
      "name": "sinkhole_1",
      "r2_bucket": "my_bucket",
      "r2_id": "<r2_id>"
    },
    {
      "id": 2,
      "account_tag": "233f45e61fd1f7e21e1e154ede4q2859",
      "created_on": "2023-05-21T21:43:52.867525Z",
      "modified_on": "2023-06-28T18:46:18.764425Z",
      "name": "sinkhole_1",
      "r2_bucket": "my_bucket",
      "r2_id": "<r2_id>"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 1,
      "account_tag": "233f45e61fd1f7e21e1e154ede4q2859",
      "created_on": "2023-05-12T12:21:56.777653Z",
      "modified_on": "2023-06-18T03:13:34.123321Z",
      "name": "sinkhole_1",
      "r2_bucket": "my_bucket",
      "r2_id": "<r2_id>"
    },
    {
      "id": 2,
      "account_tag": "233f45e61fd1f7e21e1e154ede4q2859",
      "created_on": "2023-05-21T21:43:52.867525Z",
      "modified_on": "2023-06-28T18:46:18.764425Z",
      "name": "sinkhole_1",
      "r2_bucket": "my_bucket",
      "r2_id": "<r2_id>"
    }
  ]
}